org.apache.ignite.plugin.security

## Enum GridSecuritySubjectType

- java.lang.Object
- - java.lang.Enum<GridSecuritySubjectType>
  - - org.apache.ignite.plugin.security.GridSecuritySubjectType

All Implemented Interfaces:
  Serializable, Comparable<GridSecuritySubjectType>

    public enum GridSecuritySubjectType
    extends Enum<GridSecuritySubjectType>

Supported security subject types. Subject type can be retrieved form `GridSecuritySubject.type()` method.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`REMOTE_CLIENT` Subject type for remote client.
`REMOTE_NODE` Subject type for a remote `ClusterNode`.

### Method Summary

Methods
`static GridSecuritySubjectType` `fromOrdinal(byte ord)` Efficiently gets enumerated value from its ordinal.
`static GridSecuritySubjectType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridSecuritySubjectType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REMOTE_NODE

    public static final GridSecuritySubjectType REMOTE_NODE

Subject type for a remote `ClusterNode`.

#### REMOTE_CLIENT

    public static final GridSecuritySubjectType REMOTE_CLIENT

Subject type for remote client.

### Method Detail

#### values

    public static GridSecuritySubjectType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridSecuritySubjectType c : GridSecuritySubjectType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridSecuritySubjectType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridSecuritySubjectType fromOrdinal(byte ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015